## org.apache.mahout.clustering.evaluation
Class RepresentativePointsReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.clustering.evaluation.RepresentativePointsReducer

    public class RepresentativePointsReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`RepresentativePointsReducer()`

Method Summary
`protected void` `cleanup(org.apache.hadoop.mapreduce.Reducer.Context context)`
`void` `configure(Map<Integer,List<VectorWritable>> representativePoints)`
`protected void` `reduce(org.apache.hadoop.io.IntWritable key, Iterable<WeightedVectorWritable> values, org.apache.hadoop.mapreduce.Reducer.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepresentativePointsReducer

    public RepresentativePointsReducer()

Method Detail

### cleanup

    protected void cleanup(org.apache.hadoop.mapreduce.Reducer.Context context)
                    throws IOException,
                           InterruptedException

  Overrides:
    `cleanup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable key,
                          Iterable<WeightedVectorWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### setup

    protected void setup(org.apache.hadoop.mapreduce.Reducer.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,WeightedVectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### configure

    public void configure(Map<Integer,List<VectorWritable>> representativePoints)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.